# $Revision: 1.79 $, $Date: 2009/08/08 12:24:44 $
#
Summary:	GNUstep Makefile package
Summary(pl.UTF-8):	Pakiet GNUstep Makefile
Name:		gnustep-make
Version:	2.2.0
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
# Source0-md5:	3d2d06d3313432fc82e6b09c49fb7f8a
Source1:	%{name}-fslayout-pld
Patch0:		%{name}-no-chain-library-links.patch
URL:		http://www.gnustep.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
# texi2html >= 1.61 (with -init_file) is included in tetex >= 3
BuildRequires:	tetex >= 1:3.0
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-format-plain
BuildRequires:	texinfo-texi2dvi
Requires:	gnustep-dirs
Conflicts:	gnustep-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the basic tools needed to run GNUstep
applications.

%description -l pl.UTF-8
Ten pakiet zawiera podstawowe narzędzia potrzebne do uruchamiania
aplikacji GNUstep.

%package devel
Summary:	Files needed to develop applications with gnustep-make
Summary(pl.UTF-8):	Pliki potrzebne do tworzenia aplikacji przy użyciu gnustep-make
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description devel
The makefile package is a simplistic, powerful and extensible way to
write makefiles for a GNUstep-based project. It allows the user to
write a GNUstep-based project without having to deal with the complex
issues associated with the configuration and installation of the core
GNUstep libraries. It also allows the user to easily create
cross-compiled binaries.

%description devel -l pl.UTF-8
Pakiet makefile jest prostą, wydajną i rozszerzalną metodą pisania
makefile'i do projektów opartych o GNUstep. Pozwala użytkownikowi na
tworzenie projektów z pominięciem skomplikowanych szczegółów
konfiguracji i instalacji podstawowych bibliotek GNUstep. Pozwala
także łatwo tworzyć kompilowane skrośnie binaria.

%prep
%setup -q
%patch0 -p1
cp %{SOURCE1} FilesystemLayouts/pld

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--with-library-combo=gnu-gnu-gnu \
	--with-layout=pld \
	--with-tar=tar

%{__make}

#GNUSTEP_MAKEFILES=`pwd` %{__make} -C Documentation

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	special_prefix=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/profile.d
# Create profile files
cat > $RPM_BUILD_ROOT/etc/profile.d/GNUstep.sh << EOF
#!/bin/sh
. %{_datadir}/GNUstep/Makefiles/GNUstep.sh

if [ ! -d \$GNUSTEP_USER_ROOT ]; then
	mkdir \$GNUSTEP_USER_ROOT
	chmod +rwx \$GNUSTEP_USER_ROOT
fi
EOF

cat > $RPM_BUILD_ROOT/etc/profile.d/GNUstep.csh << EOF
#!/bin/csh
source %{_datadir}Makefiles/GNUstep.csh

test -d \$GNUSTEP_USER_ROOT
if (\$status != 0) then
	mkdir \$GNUSTEP_USER_ROOT
	chmod +rwx \$GNUSTEP_USER_ROOT
endif
EOF

# Remove excessive escaping and fix lib/lib64 dir
sed -i -e 's|"/usr"|/usr|g' -e 's|/lib|/%{_lib}|g' $RPM_BUILD_ROOT/etc/GNUstep/GNUstep.conf

# not (yet?) supported by rpm-compress-doc
find $RPM_BUILD_ROOT%{_prefix}/System/Library/Documentation \
	-type f ! -name '*.html' ! -name '*.css' ! -name '*.gz' | xargs gzip -9nf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d %{_prefix}/System/Makefiles -a ! -L %{_prefix}/System/Makefiles ]; then
	[ -d %{_prefix}/System/Library ] || install -d %{_prefix}/System/Library
	mv -f %{_prefix}/System/Makefiles %{_prefix}/System/Library
	ln -sf Library/Makefiles %{_prefix}/System/Makefiles
	echo 'Reinstall gnustep-make and gnustep-make-devel if some files are missing.' >&2
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/profile.d/GNUstep.sh
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/profile.d/GNUstep.csh
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/debugapp.1*
%{_mandir}/man1/gnustep-config.1*
%{_mandir}/man1/openapp.1*
%{_mandir}/man1/opentool.1*
%{_mandir}/man7/GNUstep.7*
%{_mandir}/man7/library-combo.7*


%dir %{_sysconfdir}/GNUstep
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/GNUstep/GNUstep.conf

# GNUstep top-level
%dir %{_datadir}/GNUstep

# System/Library folder
%dir %{_datadir}/GNUstep/Makefiles

%if %{with doc}
%dir %{_prefix}/System/Library/Documentation/Developer
%dir %{_prefix}/System/Library/Documentation/Developer/Make
%{_prefix}/System/Library/Documentation/Developer/Make/ReleaseNotes
%dir %{_prefix}/System/Library/Documentation/User
%{_prefix}/System/Library/Documentation/User/GNUstep
%dir %{_prefix}/System/Library/Documentation/info
%{_prefix}/System/Library/Documentation/info/*.info*
%dir %{_prefix}/System/Library/Documentation/man
%dir %{_prefix}/System/Library/Documentation/man/man1
%{_prefix}/System/Library/Documentation/man/man1/openapp.1*
%dir %{_prefix}/System/Library/Documentation/man/man7
%{_prefix}/System/Library/Documentation/man/man7/GNUstep.7*
%endif

%attr(755,root,root) %{_datadir}/GNUstep/Makefiles/config.*
%{_datadir}/GNUstep/Makefiles/tar-exclude-list
%attr(755,root,root) %{_datadir}/GNUstep/Makefiles/*.sh
%attr(755,root,root) %{_datadir}/GNUstep/Makefiles/*.csh

%files devel
%defattr(644,root,root,755)
%if %{with doc}
%docdir %{_prefix}/System/Library/Documentation
%{_prefix}/System/Library/Documentation/Developer/Make/Manual
%endif

%{_datadir}/GNUstep/Makefiles/*.make
%{_datadir}/GNUstep/Makefiles/*.template
%{_datadir}/GNUstep/Makefiles/Instance
%{_datadir}/GNUstep/Makefiles/Master
%{_datadir}/GNUstep/Makefiles/gnustep-make-help

%attr(755,root,root) %{_datadir}/GNUstep/Makefiles/install-sh
%attr(755,root,root) %{_datadir}/GNUstep/Makefiles/mkinstalldirs

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnustep-make.spec,v $
Revision 1.79  2009/08/08 12:24:44  hawk
- updated to 2.2.0, make-no-LD_LIBRARY_PATH seems to be no longer needed

Revision 1.78  2008/12/24 00:10:43  aredridel
- 2.0.7

Revision 1.77  2008/10/05 11:52:03  duddits
- up to 2.0.6

Revision 1.76  2008/03/12 22:32:53  aredridel
- 2.0.5

Revision 1.75  2008-02-03 04:13:11  aredridel
- fixed log

Revision 1.74  2008-02-03 04:12:24  aredridel
- added no-chain-library-links.patch

Revision 1.73  2007-11-18 00:38:43  aredridel
- 2.0.2

Revision 1.72  2007-08-30 12:49:36  baggins
- rel 3
- fix library path on x86_64 and similiar

Revision 1.71  2007/08/30 11:13:11  baggins
- rel 2
- add system config to layout
- fix excessive escaping in config file

Revision 1.70  2007/06/17 17:58:03  aredridel
- add pld fslayout

Revision 1.69  2007/06/16 21:58:34  aredridel
- 2.0.1
- FHS layout (untested)

Revision 1.68  2007/04/17 11:32:23  glen
- unify docs->doc bcond

Revision 1.67  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.65  2006/12/28 20:15:31  qboosh
- updated to 1.13.0, removed obsolete destdir patch
- fixed docs build (requires already installed gnustep)

Revision 1.64  2006/11/13 21:32:29  aredridel
- flatten directory structure (simplifies builds, improves directory search
  performance, non-flattened is becoming ill-tested in upstream sources)

Revision 1.63  2006/03/02 16:24:50  baggins
- behave more

Revision 1.62  2006/03/02 16:22:29  baggins
- behave as no gnustep-make is installed in build-system

Revision 1.61  2006/03/02 16:17:40  baggins
- --disable-importing-config-file

Revision 1.60  2006/03/02 16:12:50  baggins
- nah, BC is not a good solution

Revision 1.59  2006/03/02 16:10:28  baggins
- buildconflicts gnustep-make-devel for Doc build

Revision 1.58  2006/03/02 15:34:23  baggins
- release 2
- don't source GNustep.(c)sh twice, it's really not neccessary
- don't play stupid games with LD_LIBRARY_PATH, all that's needed is in ld.so.conf.d/

Revision 1.57  2006/01/15 21:57:17  qboosh
- updated to 1.11.2, added destdir patch
- dropped System/Makefiles symlink, update your makefiles instead
- now buildsystem requires only GNUSTEP_MAKEFILES (and GNUSTEP_TARGET_DIR)
  export instead of importing whole GNUstep.sh

Revision 1.56  2005/10/28 04:12:08  aredridel
- make R:tetex bcond with docs

Revision 1.55  2005/10/22 11:11:21  qboosh
- updated to 1.11.1
- BR: tetex 3 (for texi2html >= 1.61 supporting -init_file)

Revision 1.54  2005/09/07 18:15:43  czarny
- ensured proper build

Revision 1.53  2005/09/07 17:38:19  czarny
- added symlink needed by libFoundation & friends
- NFY gnu-fd-nil support

Revision 1.52  2005/07/26 22:05:15  qboosh
- updated to 1.11.0

Revision 1.51  2005/05/21 17:20:30  speedy
- release 6
- fixed profile.d/GNUstep.{sh,csh} (build before STBR?)

Revision 1.50  2005/01/12 00:06:34  roman
- corrected paths in /etc/profile.d/GNUstep.{sh,csh}
- release 5
- STBR

Revision 1.49  2005/01/12 00:05:47  roman
- corrected paths in /etc/profile.d/GNUstep.sh

Revision 1.48  2004/11/12 19:14:21  havner
- R: gnustep-dirs
- rel 4

Revision 1.47  2004/10/22 07:11:12  ankry
- proper variable handling, rel. 3

Revision 1.46  2004/10/17 22:11:46  ankry
- spaces -> tabs

Revision 1.45  2004/10/17 12:17:40  speedy
- make directories on login ($GNUSTEP_USER_ROOT)

Revision 1.44  2004/10/17 11:54:48  speedy
- without docs bcond (building docs requires gnustep-make-devel)

Revision 1.43  2004/10/17 11:28:36  speedy
- in GNUstep.csh: fix path, there is no %%{prefix}/GNUstep (double GNUstep in path)
- release 2.

Revision 1.42  2004/09/30 21:18:31  aredridel
- add missing files
- use GNU tar always

Revision 1.41  2004/09/30 18:11:47  aredridel
- up to 0.10.0

Revision 1.40  2004/06/12 17:10:13  aredridel
- up to 1.9.2
- removed Network branch, not installed by default now

Revision 1.39  2004/03/04 20:36:20  qboosh
- fixed gscpu for ppc, release 4

Revision 1.38  2004/03/03 07:40:40  qboosh
- changed lib to %%{_lib} in prefix, strict internal deps, release 3

Revision 1.37  2004/03/03 07:33:52  qboosh
- define gscpu for amd64

Revision 1.36  2004/03/03 07:30:26  qboosh
- refresh config.* for amd64, release 2

Revision 1.35  2004/03/02 05:16:52  aredridel
- up to 1.9.1

Revision 1.34  2003/12/27 01:17:52  aredridel
- up to 1.9.0

Revision 1.33  2003/11/23 11:52:38  yoshi
- Removed unnecessary ^#BuildRequires.

Revision 1.31  2003/09/30 14:58:54  aredridel
- updated to 1.8.0 (Second released 1.8.0 -- first was broken)

Revision 1.30  2003/09/16 15:27:55  aredridel
- updated to 1.7.4

Revision 1.29  2003/08/29 16:08:38  qboosh
- added openapp(1) manual

Revision 1.28  2003/08/25 00:57:05  aredridel
- updated to 1.7.3

Revision 1.27  2003/08/21 07:24:37  ankry
- s/kroskompilator/kompilator skrośny/

Revision 1.26  2003/07/26 01:06:15  qboosh
- compress docs (rpm doesn't support GNUstep Documentation dir yet)
- added missing GNUstep(7) man page

Revision 1.25  2003/07/25 21:48:32  aredridel
fixed changelog syntax error

Revision 1.24  2003/07/25 18:53:55  aredridel
- fixed md5

Revision 1.23  2003/07/25 18:50:40  aredridel
- Updated to 1.7.2
- Removed bcond doc

Revision 1.21  2003/07/19 23:54:22  qboosh
- up to 1.7.1 (warning: GNUstep filesystem hierarchy has changed)
- removed obsolete acfix patch
- moved devel docs to -devel

Revision 1.20  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:48:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/14 20:41:59  qboosh
- updated to 1.6.0, added acfix patch (stupid typo in configure.ac)

Revision 1.17  2003/03/02 21:06:14  qwark
- new version 0.8.4, removed old patches, it's ready for tests

Revision 1.16  2002/12/29 13:45:27  qboosh
- updated Vendor, release 1

Revision 1.15  2002/12/28 20:55:43  qboosh
- not only x86 now
- removed nonsense - this project doesn't use am/lt/gt
- added docs

Revision 1.14  2002/12/28 16:24:45  qboosh
- changed _prefix to some FHS-compliant (or maybe it should be /opt/GNUStep?)
- fixed missing dirs, some cleanups

Revision 1.13  2002/12/23 07:56:56  qwark
- update to 1.5.1 version add some "auto.." building. Changes need to be reviewed by someone else :)

Revision 1.12  2002/04/25 16:27:56  arturs
fixed a small typo

Revision 1.11  2002/02/23 02:17:47  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/13 15:44:13  ankry
- updated to version 1.0.1
- fixed build, fixed paths
- commented out "--with_library-combo": where and how should the %%libcombo
  macro be defined ?

Revision 1.7  2001/09/28 08:57:56  qboosh
- pl translations; note: there is 1.0.1 on ftp

Revision 1.6  2001/05/02 16:29:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/20 13:37:50  kloczek
- spec adapterized and partialy rewrited.

